Seller analytics
curl --request GET \
--url https://api.zeroclick.io/v1/analytics/sellers/{sellerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeroclick.io/v1/analytics/sellers/{sellerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/analytics/sellers/{sellerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"analytics": {
"days": 123,
"calls": 123,
"transactions": 123,
"revenueUsd": "<string>",
"newWallets": 123,
"attempts": 123,
"successRate": 123,
"recentTransactions": [
{
"id": "<string>",
"kind": "purchase",
"status": "challenge_created",
"paymentMethod": "x402_wallet",
"amountUsd": "<string>",
"network": "<string>",
"protocol": "<string>",
"createdAt": "<string>",
"verifiedAt": "<string>",
"seller": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"service": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"plan": {
"id": "<string>",
"name": "<string>"
},
"agent": {
"id": "<string>",
"walletAddress": "<string>"
}
}
]
}
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}Analytics
Seller analytics
Aggregates calls, transactions, revenue, and new wallets for one seller owned by the authenticated organization.
GET
/
v1
/
analytics
/
sellers
/
{sellerId}
Seller analytics
curl --request GET \
--url https://api.zeroclick.io/v1/analytics/sellers/{sellerId} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zeroclick.io/v1/analytics/sellers/{sellerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.zeroclick.io/v1/analytics/sellers/{sellerId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"analytics": {
"days": 123,
"calls": 123,
"transactions": 123,
"revenueUsd": "<string>",
"newWallets": 123,
"attempts": 123,
"successRate": 123,
"recentTransactions": [
{
"id": "<string>",
"kind": "purchase",
"status": "challenge_created",
"paymentMethod": "x402_wallet",
"amountUsd": "<string>",
"network": "<string>",
"protocol": "<string>",
"createdAt": "<string>",
"verifiedAt": "<string>",
"seller": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"service": {
"id": "<string>",
"name": "<string>",
"slug": "<string>"
},
"plan": {
"id": "<string>",
"name": "<string>"
},
"agent": {
"id": "<string>",
"walletAddress": "<string>"
}
}
]
}
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}{
"error": "organization_required"
}Authorizations
API key created in the ZeroClick dashboard under Settings → API keys. Keys start with zc_. Send them as Authorization: Bearer zc_....
Path Parameters
Minimum string length:
1Query Parameters
Required range:
1 <= x <= 365Minimum string length:
1Response
Default Response
Show child attributes
Show child attributes